Subject: Re: bug#23338: 25.0.92; auto-revert-buffers errors
From: Michael Albinus <[email-masked]>
To: Live System User <[email-masked]>
Cc: [email-masked]
Date: Thu, 12 May 2016 20:40:19 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 25.1

Live System User <[email-masked]> writes:

> Hi,

Hi,

>>>> Error running timer ‘auto-revert-buffers’: (wrong-type-argument
>>>> number-or-marker-p nil) [108 times]
>>>
>>> First, pls upgrade Emacs 25.0.92. There have been changes in
>>> autorevert.el recently, which might be related.
>>
>> Ping.
>
> I recently upgraded to GNU Emacs 25.0.93.1 and have not seen this bug.

Thanks. So I regard this bug as solved, closing it.

> However, when trying to send this message using Gnus, the prompt
> briefly showed in the echo area asking me for my email password
> but was immediately covered over with:
>
>           Reverting buffer ‘wpa_supplicant.log’.
>
> so that I could no longer see the passwoed prompt.  I almost missed
> seeing the password prompt.

Well, this is Emacs behaviour. New messages could hide minibuffer prompts.
It isn't specific to auto-revert-mode.

> I had to type a key (I typed the "?" key) and then could see the
> password prompt.

You could use any key, even a key which is not consumed as input. I take
the <left> or <right> key in such cases.

> Ordinarily, I never see the "Reverting buffer..." message.  In
> fact, I just turned off my WiFi as an experiment and didn't see the
>
>            Reverting buffer ‘wpa_supplicant.log’.
>
> message in the echo area.

It depends on your activities. As soon as you type any key, the message
disappears.

> But when I `switch-to-buffer' to the *Messages* buffer, I could see
> the "Revert buffer" message.
>
> So it appears that this "Revert buffer..." message only appeared
> for me because the echo area was engaged in prompting for a password
> but, unfortunately, it was occluded by the "Revert buffer..." message.
>
> Is there a way to prevent this?

There is auto-revert-verbose. Set it to nil, and the message does not
appears, neither in the echo area, nor in the *Messages* buffer.

> Thanks.

Best regards, Michael.